﻿:root {
    --bg-body: #ffffff;
    --main-body-color: #055952;
    --main-font-color: #fff;
    --main-color: #055952;
    --lever2-color: #0a8a80;
    --tranfer-color: #05595285;
    --tranfer-color2: #05595233;
    --constrast-color: #ff7b3d;
}

[data-theme='dark'] {
    --bg-body: #1f2022;
    --main-body-color: #fff;
    --main-font-color: #fff;
    --main-color: #2b2d30;
    --lever2-color: #3a3d42;
    --tranfer-color: #ff9a5c85;
    --tranfer-color2: #ff9a5c33;
    --constrast-color: #ff9a5c;
}

body {
    background: var(--bg-body);
    color: var(--main-body-color)
}

input {
    background: var(--bg-body);
    color: var(--main-font-color);
}

textarea {
    background: var(--bg-body);
    color: var(--main-font-color)
}

#divHeader {
    height: 35px;
    background: var(--main-color);
    color: #fff;
    padding: 5px;
    width: 100%;
    float: left;
    border-bottom: 2px solid gray;
}

#divFooter {
    height: 35px;
    background: var(--main-color);
    color: #fff;
    padding: 5px;
    width: 100%;
    float: left;
    border-top: 2px solid gray;
}

#divMenu {
    width: 220px;
    float: left;
    min-height: calc(100vh - 70px);
    background: var(--main-color);
    color: var(--main-font-color);
    border-bottom: 1px solid #fff;
    border-top: 1px solid #fff;
    border-right: 2px solid gray;
}

    #divMenu td {
        padding-left: 10px;
        padding-top: 5px;
        padding-bottom: 5px;
        border-bottom: 1px solid #fff;
        cursor: pointer
    }

    #divMenu a {
        color: var(--main-font-color);
        text-decoration: none;
        cursor: pointer
    }

    #divMenu td:hover a {
        font-weight: bold;
        color: var(--constrast-color);
    }

#divBody {
    height: calc(100vh - 70px);
    overflow: auto;
    width: calc(100% - 225px);
    user-select: none;
    float: left;
}

    #divBody .e-spinner-pane {
        background: rgba(0,0,0,0.4);
    }

.divTitle {
    width: 100%;
    float: left;
    border-bottom: 1px solid var(--main-color);
    padding: 5px;
    text-transform: uppercase;
    font-size: 16pt;
    font-weight: bold;
    color: var(--main-body-color)
}

.button {
    padding: 5px;
    border: 1px solid var(--main-color);
    background: var(--bg-color);
    text-align: center;
    font-size: 14px;
    cursor: pointer
}

    .button:hover {
        background: var(--main-color);
        color: var(--main-font-color);
    }

.buttonactive {
    background: var(--main-color);
    color: var(--main-font-color);
}

.buttondeactive {
    background: #fff;
    color: var(--main-color);
}

.divBot {
    width: 100%;
    float: left;
    margin-top: 10px;
    padding: 5px;
    text-transform: uppercase;
    font-size: 16pt;
    font-weight: bold
}

#divNguoiDung {
    position: relative;
    float: right;
    text-align: right;
    cursor: pointer;
    width: 150px;
    user-select: none;
}

#divThongTin {
    position: absolute;
    top: 25px;
    right: 20px;
    width: 160px;
    background: #fff;
    border-radius: 8px;
    border: 1px solid #ddd;
    box-shadow: 0 0 10px rgba(0,0,0,0.15);
    padding: 0px !important;
    padding-bottom: 10px !important;
    opacity: 0;
    transform: translateY(-10px);
    pointer-events: none;
    transition: all 0.25s ease;
    z-index: 100000;
}

#divTenDangNhap:hover #divThongTin {
    font-weight: bold;
    opacity: 1;
    transform: translateY(0);
    pointer-events: auto;
}

#divTenDangNhap:hover div {
    opacity: 1;
    display: block
}

.btnMaster {
    width: 100%;
    float: left;
    padding: 5px;
    padding-left: 10px;
    text-align: left;
    border-bottom: 1px solid var(--main-color);
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}

    .btnMaster:hover a {
        color: var(--main-color) !important;
        font-weight: bold
    }

@media (max-width: 768px) {
    #divBody {
        width: 100%
    }

    #divTongQuanYeuCau {
        margin-top: 25px !important
    }
}

.ColorBase {
    color: var(--main-color) !important;
}

.titleControl {
    width: 100px;
    float: left;
    padding-top: 3px !important
}

.bodyControl {
    width: calc(100% - 100px);
    float: left
}

    .bodyControl input {
        border-radius: 3px;
        border-width: 1px;
        border-color: var(--main-color);
        width: 100%;
        height: 30px;
    }

/* ===== CHROME / EDGE / SAFARI ===== */

::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}

::-webkit-scrollbar-track {
    background: var(--tranfer-color2);
    border-radius: 20px;
}

::-webkit-scrollbar-thumb {
    background: linear-gradient( 180deg, var(--lever2-color), var(--main-color) );
    border-radius: 20px;
    border: 2px solid var(--tranfer-color2);
}

    ::-webkit-scrollbar-thumb:hover {
        background: var(--constrast-color);
    }

::-webkit-scrollbar-corner {
    background: var(--tranfer-color2);
}


/* ===== FIREFOX ===== */

* {
    scrollbar-width: thin;
    scrollbar-color: var(--main-color) var(--tranfer-color2);
}
